> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://help.sigmacomputing.com/reference/get-email-branding-setting/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server. # Get the email branding settings for an organization GET https://api.sigmacomputing.com/v2/organizations/settings/emailBranding Get the email branding settings applied to outgoing emails sent on behalf of the organization. ### Usage notes - To perform this operation, you must use API credentials owned by a user assigned an account type with the **Manage email branding** permission enabled. - To read or update this setting for a tenant organization, use [impersonation](/docs/impersonate-users) to obtain a token for that tenant, then call this endpoint with that token. - `signatureName`, `replyToAddress`, and `globalBccAddresses` can also be updated from the SMTP settings endpoint (`GET`/`PATCH` at `/v2/organizations/settings/smtp`) endpoint. For these fields, the value set most recently from either endpoint is the one used. Reference: https://help.sigmacomputing.com/reference/get-email-branding-setting ## Authentication - OAuth2 — send the obtained token as `Authorization: Bearer ` ## Servers - `https://api.sigmacomputing.com` (Server for GCP (US) hosted organizations, default) - `https://api.sa.gcp.sigmacomputing.com` (Server for GCP (KSA) hosted organizations) - `https://aws-api.sigmacomputing.com` (Server for AWS US (West) hosted organizations) - `https://api.us-a.aws.sigmacomputing.com` (Server for AWS US (East) hosted organizations) - `https://api.ca.aws.sigmacomputing.com` (Server for AWS Canada hosted organizations) - `https://api.eu.aws.sigmacomputing.com` (Server for AWS Europe hosted organizations) - `https://api.au.aws.sigmacomputing.com` (Server for AWS Australia and APAC hosted organizations) - `https://api.uk.aws.sigmacomputing.com` (Server for AWS UK hosted organizations) - `https://api.us.azure.sigmacomputing.com` (Server for Azure US hosted organizations) - `https://api.eu.azure.sigmacomputing.com` (Server for Azure Europe hosted organizations) - `https://api.ca.azure.sigmacomputing.com` (Server for Azure Canada hosted organizations) - `https://api.uk.azure.sigmacomputing.com` (Server for Azure United Kingdom hosted organizations) - `https://api.au.azure.sigmacomputing.com` (Server for Azure Australia hosted organizations) ## Response ### 200 The response body. - `displayName` (string, required) — Display name shown as the email sender ("From" name) on outgoing branded emails. - `signatureName` (string, required) — Name shown in the signature block of outgoing branded emails. - `replyToAddress` (string, required, nullable) — Reply-to email address for outgoing branded emails. `null` if no reply-to override is configured. - `hideSenderInfo` (boolean, required) — Whether to hide the sender's name and email address on outgoing branded emails. - `globalBccAddresses` (list of string, required) — Email addresses that are always bcc'd on outgoing branded emails. - `footerBody` (string, required) — Footer text appended to outgoing branded emails. ## Examples **Response** ```json { "displayName": "string", "signatureName": "string", "replyToAddress": "string", "hideSenderInfo": true, "globalBccAddresses": [ "string" ], "footerBody": "string" } ``` **SDK Code** ```python import requests url = "https://api.sigmacomputing.com/v2/organizations/settings/emailBranding" headers = {"Authorization": "."} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.sigmacomputing.com/v2/organizations/settings/emailBranding'; const options = {method: 'GET', headers: {Authorization: '.'}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.sigmacomputing.com/v2/organizations/settings/emailBranding" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", ".") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.sigmacomputing.com/v2/organizations/settings/emailBranding") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '.' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.sigmacomputing.com/v2/organizations/settings/emailBranding") .header("Authorization", ".") .asString(); ``` ```php request('GET', 'https://api.sigmacomputing.com/v2/organizations/settings/emailBranding', [ 'headers' => [ 'Authorization' => '.', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.sigmacomputing.com/v2/organizations/settings/emailBranding"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "."); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "."] let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/organizations/settings/emailBranding")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Official documentation and guidance for using Sigma to build AI apps, dashboards, and agents on governed warehouse data.